.. _vim.host.DiagnosticPartition: ../../../vim/host/DiagnosticPartition.rst

.. _vim.host.DiagnosticPartition.DiagnosticType: ../../../vim/host/DiagnosticPartition/DiagnosticType.rst

vim.host.DiagnosticPartition.DiagnosticType
===========================================
  The type of diagnostic partition. Private diagnostic partition has one slot, so can only be used by one host. Shared diagnostic parititon needs multiple slots so to be usable by multiple hosts.
  :contained by: `vim.host.DiagnosticPartition`_

  :type: `vim.host.DiagnosticPartition.DiagnosticType`_

  :name: multiHost

values:
--------

singleHost
   singleHost

multiHost
   multiHost
